STRUCT INPUT_MT_SLOT(9)

NAME
struct_input_mt_slot - represents the state of an input MT slot

SYNOPSIS

struct input_mt_slot {
  int abs[ABS_MT_LAST - ABS_MT_FIRST + 1];
  unsigned int frame;
  unsigned int key;
};

MEMBERS

abs[ABS_MT_LAST - ABS_MT_FIRST + 1]
    holds current values of ABS_MT axes for this slot

frame
    last frame at which input_mt_report_slot_state was called

key
    optional driver designation of this slot

COPYRIGHT